### Method

# Gdk GLTextureBuilder set_color_state

since: 4.16

#### Declaration [src]

    void
    gdk_gl_texture_builder_set_color_state (
      GdkGLTextureBuilder* self,
      GdkColorState* color_state
    )

#### Description [src]

Sets the color state for the texture.

By default, the sRGB colorstate is used. If you don’t know what colorstates are, this is probably the right thing.

Available since: 4.16

Sets property | `Gdk.GLTextureBuilder:color-state`

#### Parameters

`color_state`

  Type: `GdkColorState`

  A `GdkColorState`.

  The data is owned by the caller of the method.